Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 51)
@@ -2652,86 +2887,73 @@
 
             switch (iMenuIndex)
             {
-                case (int)FrmMenuTabNameEnum.BusinessMessage:
+                case (int)TabNameEnum.BusinessMessage:
                     // 秘書からの連絡
                     backBrush = new SolidBrush(Color.DarkMagenta);
                     foreBrush = Brushes.Gold;
                     break;
-                case (int)FrmMenuTabNameEnum.MessageBoard:
+                case (int)TabNameEnum.MessageBoard:
                     // 社内掲示板
                     backBrush = new SolidBrush(Color.Red);
                     foreBrush = Brushes.White;
                     break;
-                case (int)FrmMenuTabNameEnum.DocumentApproval:
+                case (int)TabNameEnum.DocumentApproval:
                     // 承認処理
                     backBrush = new SolidBrush(Color.Gold);
                     foreBrush = Brushes.Black;
                     break;
 
-                case (int)FrmMenuTabNameEnum.SalesInProjects:
+                case (int)TabNameEnum.SalesInProjects:
                     // 工事案件
-                case (int)FrmMenuTabNameEnum.Tenders:
+                case (int)TabNameEnum.Tenders:
                     // 入札案件
-                case (int)FrmMenuTabNameEnum.BudgetUpProjects:
+                case (int)TabNameEnum.BudgetUpProjects:
                     // 予算取り案件
-                case (int)FrmMenuTabNameEnum.ConstructionProjects:
+                case (int)TabNameEnum.ConstructionProjects:
                     // 受注案件
-                case (int)FrmMenuTabNameEnum.FluctuationProjects:
+                case (int)TabNameEnum.FluctuationProjects:
                     // 増減工事案件
-                case (int)FrmMenuTabNameEnum.NonOrders:
+                case (int)TabNameEnum.NonOrders:
                     // 非受注工事
-                case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
+                case (int)TabNameEnum.CompletionOfConstruction:
                     // 完了工事
                     backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
                     foreBrush = Brushes.White;
                     break;
 
-                case (int)FrmMenuTabNameEnum.ActionSchedule:
+                case (int)TabNameEnum.ActionSchedule:
                     // 行動予定
                     backBrush = new SolidBrush(Color.Yellow);
                     foreBrush = Brushes.Black;
                     break;
-                case (int)FrmMenuTabNameEnum.StaffAssignment:
+                case (int)TabNameEnum.StaffAssignment:
                     // 人員配置
                     backBrush = new SolidBrush(Color.Orange);
                     foreBrush = Brushes.Black;
                     break;
-                case (int)FrmMenuTabNameEnum.SalesGraph:
+                case (int)TabNameEnum.SalesGraph:
                     // 売上グラフ
                     backBrush = new SolidBrush(Color.DarkOrange);
                     foreBrush = Brushes.Black;
                     break;
 
-                case (int)FrmMenuTabNameEnum.OrderMenu:
+                case (int)TabNameEnum.OrderMenu:
                     // 受注管理
-                case (int)FrmMenuTabNameEnum.ConstructionMenu:
+                case (int)TabNameEnum.ConstructionMenu:
                     // 施工管理
-                case (int)FrmMenuTabNameEnum.BillingMenu:
-                    // 請求管理
-                case (int)FrmMenuTabNameEnum.Affairs:
+                case (int)TabNameEnum.Affairs:
                     // 総務管理
-                case (int)FrmMenuTabNameEnum.DocumentsToBeBubmitted:
+                case (int)TabNameEnum.DocumentsToBeBubmitted:
                     // 各種提出書類
-                case (int)FrmMenuTabNameEnum.Materials:
-                    // 資材管理
                     backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
                     foreBrush = Brushes.Black;
                     break;
 
-                case (int)FrmMenuTabNameEnum.MentenanceMenu:
-                    // BOSSマスタ
+                case (int)TabNameEnum.MentenanceMenu:
+                    // マスタ
                     backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.White;
+                    foreBrush = new SolidBrush(CommonMotions.GetComplementaryColor(tab.TabPages[e.Index].BackColor));
                     break;
-                case (int)FrmMenuTabNameEnum.MentenanceMenu1:
-                    // 管理者マスタ
-                case (int)FrmMenuTabNameEnum.MentenanceMenu2:
-                    // 所属長マスタ
-                case (int)FrmMenuTabNameEnum.MentenanceMenu3:
-                    // 担当者マスタ
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.Black;
-                    break;
             }
 
             //StringFormatを作成
@@ -2796,6 +3018,5 @@
             }
         }
         #endregion
-
     }
 }
